/**
 * @Author：杨振忠
 * @Date 21/06/19
 * @Version 1.0
 * @Description 封装put方法
 */

import request from './request.js';
export default (url, data, header, withToken) => {
	return new Promise((resolve, reject) => {
		request("PUT", url, data, header, withToken).then(res => {
			resolve(res);
		}).catch(res => {
			reject(res);
			//失败后存入本地
		});
	})
};
